clang-tools 6.0.0

Public Member Functions | Public Attributes | List of all members
clang::tidy::ClangTidyError Struct Reference

A detected error complete with information to display diagnostic and automatic fix. More...

`#include <ClangTidyDiagnosticConsumer.h>`

Inheritance diagram for clang::tidy::ClangTidyError:
[legend]
Collaboration diagram for clang::tidy::ClangTidyError:
[legend]

## Public Member Functions
| ClangTidyError (StringRef CheckName, Level DiagLevel, StringRef BuildDirectory, bool IsWarningAsError)

## Public Attributes
bool | IsWarningAsError

## Detailed Description

A detected error complete with information to display diagnostic and automatic fix.

This is used as an intermediate format to transport Diagnostics without a dependency on a SourceManager.

FIXME: Make Diagnostics flexible enough to support this directly.

Definition at line 43 of file ClangTidyDiagnosticConsumer.h.

## Constructor & Destructor Documentation

## ◆ ClangTidyError()

ClangTidyError::ClangTidyError | ( | StringRef | CheckName,
|  | Level | DiagLevel,
|  | StringRef | BuildDirectory,
|  | bool | IsWarningAsError
| ) |  |

Definition at line 110 of file ClangTidyDiagnosticConsumer.cpp.

## Member Data Documentation

## ◆ IsWarningAsError

bool clang::tidy::ClangTidyError::IsWarningAsError

Definition at line 47 of file ClangTidyDiagnosticConsumer.h.

The documentation for this struct was generated from the following files:

- ClangTidyDiagnosticConsumer.h
- ClangTidyDiagnosticConsumer.cpp